ACN::SDT::params Struct Reference

4.4.1.2 Channel Parameter Block More...

`#include <sdt.h>`

Inheritance diagram for ACN::SDT::params:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| params::iStream More...
void | oStream (PDU::Stream) const override
| params::oStream More...

## Public Attributes

uint8_t | Expiry
| number of seconds without traffic before leaving
union {
uint8_t flags = 0
| packed field of parameter flags
struct {
uint8_t reserved: 7
bool NAK_Outbound: 1
| NAK to channel (true) or destination address (false)
} |
}; |
uint16_t | NAKholdoff
| calculation of a standoff time for sending NAKs
uint16_t | NAKmodulus
| calculation of a standoff time for sending NAKs
uint16_t | NAKmaxwait
| maximum milliseconds to wait before sending a NAK.

## Detailed Description

4.4.1.2 Channel Parameter Block

## Member Function Documentation

## iStream()

void ACN::SDT::params::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

params::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

## oStream()

void ACN::SDT::params::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

params::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

## streamSize()

size_t ACN::SDT::params::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.cpp